ParserTreeConstants (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.parser.ParserTreeConstants interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser
Interface ParserTreeConstants

All Known Implementing Classes:
  Parser

public interface ParserTreeConstants

Field Summary
`static int` | `JJTADDNODE`
`static int` | `JJTANDNODE`
`static int` | `JJTASSIGNMENT`
`static int` | `JJTBLOCK`
`static int` | `JJTCOMMENT`
`static int` | `JJTDIRECTIVE`
`static int` | `JJTDIVNODE`
`static int` | `JJTELSEIFSTATEMENT`
`static int` | `JJTELSESTATEMENT`
`static int` | `JJTEQNODE`
`static int` | `JJTESCAPE`
`static int` | `JJTESCAPEDDIRECTIVE`
`static int` | `JJTEXPRESSION`
`static int` | `JJTFALSE`
`static int` | `JJTFLOATINGPOINTLITERAL`
`static int` | `JJTGENODE`
`static int` | `JJTGTNODE`
`static int` | `JJTIDENTIFIER`
`static int` | `JJTIFSTATEMENT`
`static int` | `JJTINDEX`
`static int` | `JJTINTEGERLITERAL`
`static int` | `JJTINTEGERRANGE`
`static int` | `JJTLENODE`
`static int` | `JJTLTNODE`
`static int` | `JJTMAP`
`static int` | `JJTMETHOD`
`static int` | `JJTMODNODE`
`static int` | `JJTMULNODE`
`static int` | `JJTNENODE`
`static String[]` | `jjtNodeName`
`static int` | `JJTNOTNODE`
`static int` | `JJTOBJECTARRAY`
`static int` | `JJTORNODE`
`static int` | `JJTPROCESS`
`static int` | `JJTREFERENCE`
`static int` | `JJTSETDIRECTIVE`
`static int` | `JJTSTRINGLITERAL`
`static int` | `JJTSUBTRACTNODE`
`static int` | `JJTTEXT`
`static int` | `JJTTEXTBLOCK`
`static int` | `JJTTRUE`
`static int` | `JJTVOID`
`static int` | `JJTWORD`

Field Detail

### JJTPROCESS

    public static final int JJTPROCESS

See Also:
  Constant Field Values

### JJTVOID

    public static final int JJTVOID

See Also:
  Constant Field Values

### JJTESCAPEDDIRECTIVE

    public static final int JJTESCAPEDDIRECTIVE

See Also:
  Constant Field Values

### JJTESCAPE

    public static final int JJTESCAPE

See Also:
  Constant Field Values

### JJTCOMMENT

    public static final int JJTCOMMENT

See Also:
  Constant Field Values

### JJTTEXTBLOCK

    public static final int JJTTEXTBLOCK

See Also:
  Constant Field Values

### JJTFLOATINGPOINTLITERAL

    public static final int JJTFLOATINGPOINTLITERAL

See Also:
  Constant Field Values

### JJTINTEGERLITERAL

    public static final int JJTINTEGERLITERAL

See Also:
  Constant Field Values

### JJTSTRINGLITERAL

    public static final int JJTSTRINGLITERAL

See Also:
  Constant Field Values

### JJTIDENTIFIER

    public static final int JJTIDENTIFIER

See Also:
  Constant Field Values

### JJTWORD

    public static final int JJTWORD

See Also:
  Constant Field Values

### JJTDIRECTIVE

    public static final int JJTDIRECTIVE

See Also:
  Constant Field Values

### JJTBLOCK

    public static final int JJTBLOCK

See Also:
  Constant Field Values

### JJTMAP

    public static final int JJTMAP

See Also:
  Constant Field Values

### JJTOBJECTARRAY

    public static final int JJTOBJECTARRAY

See Also:
  Constant Field Values

### JJTINTEGERRANGE

    public static final int JJTINTEGERRANGE

See Also:
  Constant Field Values

### JJTMETHOD

    public static final int JJTMETHOD

See Also:
  Constant Field Values

### JJTINDEX

    public static final int JJTINDEX

See Also:
  Constant Field Values

### JJTREFERENCE

    public static final int JJTREFERENCE

See Also:
  Constant Field Values

### JJTTRUE

    public static final int JJTTRUE

See Also:
  Constant Field Values

### JJTFALSE

    public static final int JJTFALSE

See Also:
  Constant Field Values

### JJTTEXT

    public static final int JJTTEXT

See Also:
  Constant Field Values

### JJTIFSTATEMENT

    public static final int JJTIFSTATEMENT

See Also:
  Constant Field Values

### JJTELSESTATEMENT

    public static final int JJTELSESTATEMENT

See Also:
  Constant Field Values

### JJTELSEIFSTATEMENT

    public static final int JJTELSEIFSTATEMENT

See Also:
  Constant Field Values

### JJTSETDIRECTIVE

    public static final int JJTSETDIRECTIVE

See Also:
  Constant Field Values

### JJTEXPRESSION

    public static final int JJTEXPRESSION

See Also:
  Constant Field Values

### JJTASSIGNMENT

    public static final int JJTASSIGNMENT

See Also:
  Constant Field Values

### JJTORNODE

    public static final int JJTORNODE

See Also:
  Constant Field Values

### JJTANDNODE

    public static final int JJTANDNODE

See Also:
  Constant Field Values

### JJTEQNODE

    public static final int JJTEQNODE

See Also:
  Constant Field Values

### JJTNENODE

    public static final int JJTNENODE

See Also:
  Constant Field Values

### JJTLTNODE

    public static final int JJTLTNODE

See Also:
  Constant Field Values

### JJTGTNODE

    public static final int JJTGTNODE

See Also:
  Constant Field Values

### JJTLENODE

    public static final int JJTLENODE

See Also:
  Constant Field Values

### JJTGENODE

    public static final int JJTGENODE

See Also:
  Constant Field Values

### JJTADDNODE

    public static final int JJTADDNODE

See Also:
  Constant Field Values

### JJTSUBTRACTNODE

    public static final int JJTSUBTRACTNODE

See Also:
  Constant Field Values

### JJTMULNODE

    public static final int JJTMULNODE

See Also:
  Constant Field Values

### JJTDIVNODE

    public static final int JJTDIVNODE

See Also:
  Constant Field Values

### JJTMODNODE

    public static final int JJTMODNODE

See Also:
  Constant Field Values

### JJTNOTNODE

    public static final int JJTNOTNODE

See Also:
  Constant Field Values

### jjtNodeName

    public static final String[] jjtNodeName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.